{"id":18089,"date":"2018-12-04T13:58:10","date_gmt":"2018-12-04T13:58:10","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15683"},"modified":"2021-03-25T07:51:02","modified_gmt":"2021-03-25T07:51:02","slug":"import-bot-as-a-new-bot-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/import-bot-as-a-new-bot-api\/","title":{"rendered":"Import Bot as a New Bot API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Import Bot as a New Bot API is used to create a new bot in the account owner\u2019s Builder Tool using the File IDs generated by uploading the files to the local server. Refer to <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\" target=\"_blank\" rel=\"noopener noreferrer\">Upload File API<\/a> on how to upload and obtain the File Id.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Bot Import<\/em> under <em>Bot Definition<\/em>.<\/p>\n<p><strong>POST<\/strong> <code>https:\/\/{{host}}\/api\/public\/bot\/import<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\">host<\/span><\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>botDefinition<\/td>\n<td>\u201cBot definition file id\u201d<br \/>\nRefer to <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\" target=\"_blank\" rel=\"noopener noreferrer\">Upload File API<\/a> on how to upload and obtain the File Id.<\/td>\n<\/tr>\n<tr>\n<td>configInfo<\/td>\n<td>\u201cBot configuration file id\u201d<br \/>\nRefer to <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\" target=\"_blank\" rel=\"noopener noreferrer\">Upload File API<\/a> on how to upload and obtain the File Id.<\/td>\n<\/tr>\n<tr>\n<td>botFunctions (optional)<\/td>\n<td>\u201c Bot fuctions File id\u201d<br \/>\nRefer to <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\" target=\"_blank\" rel=\"noopener noreferrer\">Upload File API<\/a> on how to upload and obtain the File Id.<\/td>\n<\/tr>\n<tr>\n<td>icon<\/td>\n<td>\u201cBot icon File id\u201d<br \/>\nRefer to <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\" target=\"_blank\" rel=\"noopener noreferrer\">Upload File API<\/a> on how to upload and obtain the File Id.<\/td>\n<\/tr>\n<tr>\n<td>name (optional)<\/td>\n<td>\u201cBot name\u201d<br \/>\nIf not provided they will be taken from the existing bot copy<\/td>\n<\/tr>\n<tr>\n<td>purpose (optional)<\/td>\n<td>\u201ccustomer\u201d\/\u201demployee\u201d<br \/>\nIf not provided they will be taken from the existing bot copy<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/import \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n   -H 'content-type: application\/json' \\\r\n   -d '{\r\n  \"botDefinition\" : \"5b7ed3c87cab5c48ea9794f9\",\r\n  \"configInfo\" : \"5b7ed2w77cab5c48ea9794fa\",\r\n  \"botFunctions\":[\"5b7ed13a86a5fc48f4777ea6\"],\r\n  \"icon\":\"5b7ed3837cab5c48ea9794fb\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"streamRefId\": \"f6e21f2d-cf90-52b0-bbc5-638add8dba26\",\r\n    \"statusLogs\": [\r\n        {\r\n            \"taskType\": \"importRequest\",\r\n            \"taskName\": \"SampleTaskName\",\r\n            \"status\": \"success\"\r\n        }\r\n    ],\r\n    \"createdBy\": \"u-3ae8bd39-a65b-5b2c-b66b-85864a8202c3\",\r\n    \"requestType\": \"Botimport\",\r\n    \"_id\": \"bir-32a5ed0d-6181-5a0a-9f21-1bf872290029\",\r\n    \"status\": \"pending\",\r\n    \"createdOn\": \"2018-12-05T07:28:46.113Z\",\r\n    \"__v\": 0\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Import Bot as a New Bot API is used to create a new bot in the account owner\u2019s Builder Tool using the File IDs generated by uploading the files to the local server. Refer to Upload File API on how to upload and obtain the File Id. This API requires JWT generated by an application...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18089","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18089","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18089"}],"version-history":[{"count":11,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18089\/revisions"}],"predecessor-version":[{"id":23080,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18089\/revisions\/23080"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18089"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18089"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18089"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}